Bug 182986 - Kyum doesn't ask for root passwd when run by user
Kyum doesn't ask for root passwd when run by user
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kyum (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-24 16:52 EST by G.Wolfe Woodbury
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 11:06:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description G.Wolfe Woodbury 2006-02-24 16:52:31 EST
Description of problem:
Kyum goes ahead and runs in user context under FC5t3 instead of asking for the
root passwd.


Version-Release number of selected component (if applicable):
kyum-0.7.5-2


How reproducible: every time


Steps to Reproduce:
1.
2.
3.
  
Actual results:
runs in user context and thus can't do updates or installs


Expected results:
should ask for privledges

Additional info:
FC5t2+(2006-02-23)  work1: Celeron (Coppermine) P-III @600MHz, 256 MiB RAM
Trident Cyberblade/i1 AGP on MSI MoBo, etc....
Comment 1 Jochen Schmitt 2006-03-05 15:22:12 EST
Thank you, that you have take the time for reporting this bug. For examining the
Bug I have the following question:

How to you start kyum?

If you call kyum from a console window like xterm or Konsole, then kyum don't
ask for the root password. But if you call kyum from the K-Menu, then you will
be asked for the root password, becouse in the desktop file of kyum kyum will be
started wia kdesdu.

Comment 2 G.Wolfe Woodbury 2006-03-05 18:26:39 EST
But KYum *should* ask for a passwd even if started from the CLI.  In user
context it can't do anything usefull.  I do note the different behaviour when
selected from the menus, and when called from the CLI.

I think it's a bug to not ask for the passwd from the CLI as well.  I may need
to be moved and hooked into consolehelper or something to do the right thing.
Comment 3 Jochen Schmitt 2006-03-07 05:48:32 EST
I have create a new version kyum 0.7.5-3 which should be available in the next 
days on FC-4 and devel.

This version should fixed your requirement.
Comment 4 Jochen Schmitt 2006-03-15 11:06:09 EST
Becouse the reported don't complaints, that the offer solution doesn't word, I
will close this bug.

Note You need to log in before you can comment on or make changes to this bug.